using System.Windows;
using Valg.EVA.Skanning.UserInterfaceElements.Help;

namespace Valg.EVA.Skanning.JobManagement.Startup.UI.Duplicates
{
    public partial class ResolveDuplicatesPopupView : IHelpContributor
    {
        private ResolveDuplicatesPopupViewModel viewModel;

        public ResolveDuplicatesPopupView()
        {
            InitializeComponent();
        }

        public void Initialize(ResolveDuplicatesPopupViewModel model)
        {
            viewModel = model;
            DataContext = viewModel;
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            Close();
        }

        public string HelpContributionId => HelpContributionIds.Duplikater;
    }
}

